Hello Coders, Please checkout video to see solution for problem 1 and 2 of Trilogy Innovations(CodeNation) 15th May 2022 Test. Problems were very nice to solve.

Video Link — https://youtu.be/phE4EL41rC8

# | User | Rating |
---|---|---|

1 | Benq | 3783 |

2 | jiangly | 3666 |

3 | tourist | 3611 |

4 | Um_nik | 3536 |

5 | inaFSTream | 3477 |

6 | fantasy | 3468 |

7 | maroonrk | 3464 |

8 | QAQAutoMaton | 3428 |

9 | ecnerwala | 3427 |

10 | Ormlis | 3396 |

# | User | Contrib. |
---|---|---|

1 | Um_nik | 184 |

2 | adamant | 178 |

3 | awoo | 177 |

4 | nor | 169 |

5 | maroonrk | 165 |

6 | -is-this-fft- | 163 |

7 | antontrygubO_o | 152 |

7 | ko_osaga | 152 |

9 | dario2994 | 150 |

10 | SecondThread | 149 |

Hello Coders, Please checkout video to see solution for problem 1 and 2 of Trilogy Innovations(CodeNation) 15th May 2022 Test. Problems were very nice to solve.

Video Link — https://youtu.be/phE4EL41rC8

↑

↓

Codeforces (c) Copyright 2010-2023 Mike Mirzayanov

The only programming contests Web 2.0 platform

Server time: Jun/08/2023 04:50:20 (j2).

Desktop version, switch to mobile version.

Supported by

User lists

Name |
---|

Anyone solved all the 3 problems??

I had not participated in it. Was it some open contest like Codeagon? I went through the problems, here are my observations/approach, please correct me if I am wrong:

Problem 1: Observe $$$B<=15$$$, so from $$$(B+1)!$$$ all the numbers will be divisible because they will have at least B as a common factor.

Problem 2: Find the diameter and then $$$\sum\dfrac{cnt_i*(cnt_i-1)}{2}$$$, where $$${cnt_i}$$$ is the count of nodes in the subtree of a child of the node which lies on the diameter.

Problem 3: You can do a knapsack kind of dp, $$$dp[i][j]$$$ denotes whether for the first $$$i$$$ elements, the sum $$$j$$$ is possible or not. Then iterate for $$$dp[n][j]$$$, for minimum $$$j$$$ which is possible, and subtract it from the total sum of bad luck mentioned in the problem to maximize it.